libpqxx-4.0.1-1pclos2014.x86_64.rpm


Advertisement

Description

libpqxx - The official C++ client API for PostgreSQL

Property Value
Distribution PCLinuxOS
Repository PCLinuxOS x86_64
Package filename libpqxx-4.0.1-1pclos2014.x86_64.rpm
Package name libpqxx
Package version 4.0.1
Package release 1pclos2014
Package architecture x86_64
Package type rpm
Homepage -
License -
Maintainer -
Download size 337.30 KB
Installed size 337.30 KB
This library works on top of the C-level API library, libpq. You will need
libpq in order to use libpqxx.
The first thing you're likely to notice in programming with libpqxx is that
unlike other libraries, it revolves entirely around transactions. Transactions
are a central concept in database management systems, but they are widely
underappreciated among application developers. Another well-known open source
database system, MySQL, never even got around to implementing them at all in
their own engine, relying on a third-party replacement engine (now owned by
Oracle) to provide this functionality instead.

Alternatives

Package Version Architecture Repository
libpqxx - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libpq.so.5()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsLzma) <= 4.4.6-1
rtld(GNU_HASH) -

Provides

Name Value
libpqxx = 4.0.1-1pclos2014
libpqxx(x86-64) = 4.0.1-1pclos2014
libpqxx-4.0.so()(64bit) -

Obsoletes

Name Value
lib64pqxx2 -

Download

Type URL
Mirror ftp.nluug.nl
Binary Package libpqxx-4.0.1-1pclos2014.x86_64.rpm
Source Package libpqxx-4.0.1-1pclos2014.src.rpm

Install Howto

  1. Enable PCLinuxOS x86_64 repository in /etc/apt/sources.list:
    rpm http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/apt/ pclinuxos/64bit x86_64
  2. Update the package index:
    # apt-get update
  3. Install libpqxx rpm package:
    # apt-get install libpqxx

See Also

Package Description
libpqxx-devel-4.0.1-1pclos2014.x86_64.rpm Headers for developing programs that will use libpqxx
libprojectm-data-2.1.0-6pclos2015.x86_64.rpm Visualization library for OpenGL based on Milkdrop
libprojectm-projectM-pulseaudio-2.1.0-6pclos2015.x86_64.rpm Visualization library for OpenGL based on Milkdrop
libproxy-gxsettings-0.4.11-1pclos2013.x86_64.rpm Helper utility for libproxy gnome support
libproxy-perl-0.4.11-1pclos2013.x86_64.rpm Perl bindings for libproxy
libproxy-utils-0.4.11-1pclos2013.x86_64.rpm Binary to test libproxy
libpst-0.6.61-2pclos2016.x86_64.rpm Utilities to convert Outlook .pst files to other formats
libpthread-stubs-0.3-2pclos2015.x86_64.rpm PThread Stubs for XCB
libqmi-utils-1.16.2-1pclos2017.x86_64.rpm QMI protocol command line utilities
libqtelegram-1.0.0-20150128.1pclos2015.x86_64.rpm This is a Qt asynchronous library to be used as Telegram client
libquadmath-devel-4.9.2-2pclos2015.x86_64.rpm GCC __float128 support
libquadmath0-4.9.2-2pclos2015.x86_64.rpm GCC __float128 shared support library
libquicktime-1.2.4-6pclos2014.x86_64.rpm A library for manipulating QuickTime files
libquicktime-dv-1.2.4-6pclos2014.x86_64.rpm Libquicktime plugin supporting the DV codec
libquicktime-faac-1.2.4-6pclos2014.x86_64.rpm Libquicktime plugin for encoding AAC
Advertisement
Advertisement